# Componere\Definition::getClosure

(Componere 2 >= 2.1.0)

Componere\Definition::getClosure — Get Closure

### 说明

public Componere\Definition::getClosure(string `$name`): Closure

Shall return a Closure for the method specified by name

### 参数

`name`
  The case insensitive name of the method

### 返回值

A Closure bound to the correct scope

### Exceptions

警告

Shall throw RuntimeException if Definition was registered

警告

Shall throw RuntimeException if `name` could not be found

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open